# 案管中心组件

## Install
Using npm:

```js
    npm install ims-proof-material --save
```
> 全局引用：在main.js中配置引用，目前内嵌四个组件：
> 1、证据上传组件 ProofMaterial，
> 2、智能阅卷组件 InterMark
> 3、卷宗导入组件 DossierImport
> 4、卷宗预览组件 MaterialPreview

```js
    // main.js 示例
    import ims from 'ims-proof-material'; 
    Vue.use(ims);
    
    // test.vue
    // 证据上传组件 caseInfo：案件所有信息，proofMaterialType: icp、agzx（默认值）
    <ProofMaterial ajbh="1" caseInfo="{}" proofMaterialType="agzx"/>
    // 智能阅卷组件 intelMarkingType：agzx(默认值)、zfkp、icp
    <InterMark ajbh="1" ajmc="测试" intelMarkingType="agzx"/>
    // 卷宗导入组件 dossierImportType：agzx(默认值)、zfkp
    <DossierImport ajbh="1" dossierImportType="agzx"/>
    // 卷宗预览组件 showComeBack：预览左上角返回按钮，默认值false
    <MaterialPreview ajbh="1" :showComeBack="showComeBack" />
```

> 局部引用：在引用模块中引用

```js
    
    <template>
        <ProofMaterial ajbh="A12121212112" caseInfo="{}" proofMaterialType="agzx"/>
        <InterMark ajbh="A12121212112" ajmc="测试名称" intelMarkingType="agzx"/>
        <DossierImport ajbh="A12121212112" dossierImportType="agzx"/>
        <MaterialPreview ajbh="A11111" :showComeBack="showComeBack" />
    </template>
    import {ProofMaterial, InterMark, DossierImport, MaterialPreview} from 'ims-proof-material';
    export default {
        components:{
            ProofMaterial,
            InterMark,
            DossierImport,
            MaterialPreview
        }
    }
```